cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_payments/PP-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_payments.get_purchase_payment("PP-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchasePayments.getPurchasePayment('PP-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchasePayments->getPurchasePayment('PP-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_payments.purchase_payments_dto.PurchasePaymentsDto.PurchasePaymentRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchasePaymentRead> response = client.purchasePayments().getPurchasePayment("PP-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchasePayments.GetPurchasePaymentAsync("PP-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchasePayments.getPurchasePayment('PP-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchasePayments().GetPurchasePayment(context.Background(), "PP-0001", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_payment": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_note_applications": [
{
"amount": "<string>",
"purchase_credit_note": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"object": "<string>"
}
}
],
"credit_note_total": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"origin": "<string>",
"paid_total": "<string>",
"payment_date": "<string>",
"payment_method_applications": [
{
"amount": "<string>",
"payment_method": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"payment_processor": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"reference": "<string>"
}
],
"payment_note": "<string>",
"payment_reference": "<unknown>",
"purchase_invoice_applications": [
{
"applied": "<string>",
"due_date": "<string>",
"issue_date": "<string>",
"outstanding": "<string>",
"purchase_invoice": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"total": "<string>"
}
],
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Purchase payments
Retrieve a purchase payment
Returns one purchase payment under purchase_payment.
GET
/
purchase_payments
/
{purchase_payment_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_payments/PP-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_payments.get_purchase_payment("PP-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchasePayments.getPurchasePayment('PP-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchasePayments->getPurchasePayment('PP-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_payments.purchase_payments_dto.PurchasePaymentsDto.PurchasePaymentRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchasePaymentRead> response = client.purchasePayments().getPurchasePayment("PP-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchasePayments.GetPurchasePaymentAsync("PP-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchasePayments.getPurchasePayment('PP-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchasePayments().GetPurchasePayment(context.Background(), "PP-0001", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_payment": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_note_applications": [
{
"amount": "<string>",
"purchase_credit_note": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"object": "<string>"
}
}
],
"credit_note_total": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"origin": "<string>",
"paid_total": "<string>",
"payment_date": "<string>",
"payment_method_applications": [
{
"amount": "<string>",
"payment_method": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"payment_processor": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"reference": "<string>"
}
],
"payment_note": "<string>",
"payment_reference": "<unknown>",
"purchase_invoice_applications": [
{
"applied": "<string>",
"due_date": "<string>",
"issue_date": "<string>",
"outstanding": "<string>",
"purchase_invoice": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"total": "<string>"
}
],
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the purchase payment with its supplier, amounts and the invoices, credit notes and payment methods it applies to, under
purchase_payment.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The purchase payment's id.
Response
The purchase payment, under purchase_payment.
Show child attributes
Show child attributes